> For the complete documentation index, see [llms.txt](https://run-ai-docs.nvidia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://run-ai-docs.nvidia.com/self-hosted/2.20/reference/cli/runai/runai_xgboost.md).

# runai xgboost

alias for xgboost management

## Options

```
  -h, --help   help for xgboost
```

## Options inherited from parent commands

```
      --config-file string   config file name; can be set by environment variable RUNAI_CLI_CONFIG_FILE (default "config.json")
      --config-path string   config path; can be set by environment variable RUNAI_CLI_CONFIG_PATH
  -d, --debug                enable debug mode
  -q, --quiet                enable quiet mode, suppress all output except error messages
      --verbose              enable verbose mode
```

## SEE ALSO

* [runai](/self-hosted/2.20/reference/cli/runai.md) - NVIDIA Run:ai Command-line Interface
* [runai xgboost attach](/self-hosted/2.20/reference/cli/runai/runai_xgboost_attach.md) - attach to a running container in a xgboost training job
* [runai xgboost bash](/self-hosted/2.20/reference/cli/runai/runai_xgboost_bash.md) - open a bash shell in a xgboost training job
* [runai xgboost delete](/self-hosted/2.20/reference/cli/runai/runai_xgboost_delete.md) - delete xgboost training workload
* [runai xgboost describe](/self-hosted/2.20/reference/cli/runai/runai_xgboost_describe.md) - describe xgboost training
* [runai xgboost exec](/self-hosted/2.20/reference/cli/runai/runai_xgboost_exec.md) - execute a command in a xgboost training job
* [runai xgboost list](/self-hosted/2.20/reference/cli/runai/runai_xgboost_list.md) - list xgboost training
* [runai xgboost logs](/self-hosted/2.20/reference/cli/runai/runai_xgboost_logs.md) - view logs of a xgboost training job
* [runai xgboost port-forward](/self-hosted/2.20/reference/cli/runai/runai_xgboost_port-forward.md) - forward one or more local ports to a xgboost training job
* [runai xgboost resume](/self-hosted/2.20/reference/cli/runai/runai_xgboost_resume.md) - resume xgboost training
* [runai xgboost submit](/self-hosted/2.20/reference/cli/runai/runai_xgboost_submit.md) - submit xgboost training
* [runai xgboost suspend](/self-hosted/2.20/reference/cli/runai/runai_xgboost_suspend.md) - suspend xgboost training


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://run-ai-docs.nvidia.com/self-hosted/2.20/reference/cli/runai/runai_xgboost.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
